# Administration Reference

## vos rename

Purpose

Renames a volume

Synopsis

    vos rename -oldname <old volume name>  -newname <new volume name>
               [-cell <cell name>]  [-noauth]  [-localauth]  [-verbose]  [-help]

    vos ren -o <old volume name>  -ne <new volume name>  [-c <cell name>]
            [-no]  [-l]  [-v]  [-h]

Description

The vos rename command changes the name of the read/write volume specified with the -oldname argument to the name specified with the -newname argument. The names of the read/write's read-only copies and backup copy, if any, change automatically to match.

After issuing this command, remember to correct any mount points that refer to the old volume name, by removing the old mount point with the fs rmmount command and creating a new one with the fs mkmount command.

Options

-oldname
  Is the current name of the read/write volume.

-newname
  Is the desired new name for the volume.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The vos rename command produces no output if the command succeeds.

If the volume named by the -oldname argument does not exist, the following message appears:

       vos: Could not find entry for volume old volume name.

Examples

The following example changes the mistaken volume name sun4x_56.afsws to the correct alternative `sun4x_56.usr.afsws`.

       % vos rename -oldname sun4x_56.afsws -newname sun4x_56.usr.afsws

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser root.

Related Information

vos

© IBM Corporation 2000. All Rights Reserved